TACHYON-OGL(1)

NAME
tachyon-ogl - parallel/multiprocessor ray tracer with OpenGL display

SYNOPSIS
tachyon-ogl modelfile [options]

DESCRIPTION
Valid options and accepted formats are as follows (** denotes default behaviour).

  Model file formats supported:

filename.dat
    the model files originated with this package

filaname.ac
    AC3D model files

filename.nff
    the NFF scene format used by Eric Haines' SPD

  Message Options:

+V  verbose messages on

-V  verbose messages off **

  Speed Tuning Options:

-raydepth xxx
    maximum ray recursion depth

-numthreads xxx
    (** default is auto-determined)

-nobounding

-boundthresh xxx
    (** default threshold is 16)

  Shading Options:

-fullshade
    best quality rendering (and slowest) **

-mediumshade
    good quality rendering, but no shadows

-lowshade
    low quality rendering, preview (and fast)

-lowestshade
    worst quality rendering, preview (and fastest)

  Lighting Options:

-rescale_lights xxx rescale light intensity values by
    specified factor (performed before other lighting overrides take effect)

-auto_skylight xxx
    force use of ambient occlusion lighting, auto-rescaling direct light sources to compensate for ambient occlusion factor (use value 0.7 as a good starting point)

-add_skylight xxx
    force use of ambient occlusion lighting, manually-rescaling direct light sources to compensate for ambient occlusion factor

-skylight_samples xxx number of sample rays to shoot

  Specular Highlight Shading Options:

-shade_phong
    Phong specular highlights

-shade_blinn
    Blinn's specular highlights **

-shade_blinn_fast
    fast approximation to Blinn's highlights

-shade_nullphong
    disable specular highlights

  Transparency Shading Options:

-trans_max_surfaces xxx
    limit the number of transparent surfaces shown to the number specified

-trans_orig
    original implementation **

-trans_raster3d
    Raster3D angle-based opacity modulation

-trans_vmd
    opacity post-multiply used by VMD

  Transparent Surface Shadowing Options:

-shadow_filter_on
    transparent objects cast shadows **

-shadow_filter_off
    transparent objects do not cast shadows

  Fog Shading Options:

-fog_radial
    radial fog implementation **

-fog_vmd
    planar OpenGL-like fog used by VMD

  Surface Normal/Winding Order Fixup Mode:

-normalfixup [off|flip|guess] (** off is default)

  Antialiasing Options:

-aasamples xxx
    maximum supersamples taken per pixel (** default is 0, or scene file determined)

  Output Options:

-res Xres Yres
    override scene-defined output image size

-o outfile.tga
    set output file name

-clamp
    clamp pixel values to [0 to 1) **

-normalize
    normalize pixel values to [0 to 1)

-gamma val
    normalize apply gamma correction

-format BMP
    24-bit Windows BMP (uncompressed)

-format JPEG
    24-bit JPEG (compressed, but lossy)

-format PNG
    24-bit PNG (compressed, lossless)

-format PPM
    24-bit PPM (uncompressed)

-format PPM48
    48-bit PPM (uncompressed)

-format PSD48
    48-bit PSD (uncompressed)

-format RGB
    24-bit SGI RGB (uncompressed)

-format TARGA
    24-bit Targa (uncompressed) **

  Animation Related Options:

-camfile filename.cam
    animate using file of camera positions

-nosave
    disable writing of output frames to disk (only used for doing real-time rendering)

  Interactive Spaceball/SpaceNavigator Control:

-spaceball
    enable Spaceball/SpaceNavigator camera flight

-spaceballport serialportdevicename (only for serial devices)

  Getting Help:

-help
    display help message and exit

-version
    display version string and exit

-banner
    display banner and exit